<?php
	session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	$opertb=new mytb();

	require_once('inc/char_set.php');
	
	require_once('generalpicrequire.php');  //generalpic类型选择语句, 表名、文件存储目录、字段变量名 存储变量在此定义
	$ls=$_GET['ls'];
	$id=$_GET['id'];
	$nowNum=$_GET['nowNum'];

	$description=$_POST['description'];

	if ($_GET['ls_msg']=="")
	{
		$ls_msg=$showstr."管理";
	}	
	else
	{
		$ls_msg=$_GET['ls_msg'];	
	}
		
	$opertb->table=$generalTable;
	$opertb->id=$id;
	switch ($ls)
	{
		case "up":
			$ls_msg=$opertb->up($nowNum);
			break;

		case "down":
			$ls_msg=$opertb->down($nowNum);
			break;
			
	 	case "unenable":
			$ls_msg=$opertb->unenable();
			break; 
			
		case "enable":
			$ls_msg=$opertb->enable();
			break;
			
		case "del":
			$ls_msg=$opertb->delwfile($folder1,$folder2,$generalpicsPic);
			break;
		
		case "description": //保存页面描述
			$modi_sql=sprintf("update ls_menu set description=%s where argument=%s",
							GetSQLValueString($description, "text"),
							GetSQLValueString($gen, "text")
							);
			//echo $modi_sql;
			$modi_query=$opendb->query($modi_sql);
			break;
	}
	
	//echo $lssort."  ".$sortfield."---";
	//手动排序字段
	$orderstr=""; //排序串
	$sortfield=$_GET['sortfield'];
	$sortfield2=$_GET['sortfield2'];
    $lssort=$_GET['lssort'];

	switch ($lssort)
	{	
		case "升序排列": 
		 	$orderstr= $sortfield ." DESC "; //主排序字段,与原来的相反
			$lssort="降序排列";
			$ls_msg="已按照 ".$sortfield2 ." 降序排列";
		break;
		
		case "降序排列":
			$orderstr=  $sortfield ." ASC "; //主排序字段,与原来的相反
			$lssort="升序排列";
			$ls_msg="已按照 ".$sortfield2 ." 升序排列";
		break;

	}
	//默认排序字段
		if($sortfield != "Num")
		{$lssort==""?($orderstr.= " Num desc "):($orderstr.= ", Num desc "); }  //第一个字段处理

		if($sortfield != "ID")
		{$orderstr.= ", ID DESC "; }
		

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<script language="JavaScript" src="js/ls.js"></script>
		<title>无标题文档</title>
        <link rel="stylesheet" href="kindeditor-4.1.10/themes/default/default.css" />
<link rel="stylesheet" href="kindeditor-4.1.10/plugins/code/prettify.css" />
<script charset="utf-8" src="kindeditor-4.1.10/kindeditor.js"></script>
<script charset="utf-8" src="kindeditor-4.1.10/lang/zh_CN.js"></script>
<script charset="utf-8" src="kindeditor-4.1.10/plugins/code/prettify.js"></script>
<script>
    KindEditor.ready(function(K) {
        var editor1 = K.create('textarea[name="description"]', {
            cssPath : 'kindeditor-4.1.10/plugins/code/prettify.css',
            uploadJson : 'kindeditor-4.1.10/php/upload_json.php',
            fileManagerJson : 'kindeditor-4.1.10/php/file_manager_json.php',
            allowFileManager : true,
            afterCreate : function() {
                var self = this;
                K.ctrl(document, 13, function() {
                    self.sync();
                    K('form[name=example]')[0].submit();
                });
                K.ctrl(self.edit.doc, 13, function() {
                    self.sync();
                    K('form[name=example]')[0].submit();
                });
            }
        });
        prettyPrint();
    });
</script>
	</head>
 <body>
	<table width="96%" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#6396d6">
			<tr>
				<td height="18" background="images/admin_bg.gif"><div align="center"><font color="#ffffff"><strong><?=$showstr?>管理</strong></font></div>
				</td>
			</tr>
			<tr>
				<td height="213" valign="top" bgcolor="#dee7ff"><br>
					<form name="del" method="Post" action="delall.php?gen=<?=$gen?>" onSubmit="return ConfirmDel();">
					<table border="0" width="90%" align="center">
						<tr>
							<td style="border-bottom:1px solid #FFF;">提示：<font color="#FF0000"><?php echo $ls_msg; ?></font></td>
							<td align="right" style="border-bottom:1px solid #FFF;"><img src="images/shao.gif">&nbsp;<a href="addmodigenpics.php?gen=<?=$gen?>&ls=insert"><u>添加
							</u></a></td>
						</tr>
					</table><br>
					
					<?php
					// 获取当前页数
					if( isset($_GET['page']) ){
					   $page = intval( $_GET['page'] );
					}
					else{
					   $page = 1;
					}
					// 每页数量
					$PageSize = $PageNum;
					
					// 获取总数据量
					/********************************************************************************/
					
						$sql = "select * from ".$generalTable." order by ID desc";
						$result=$opendb->query($sql);
					
					/********************************************************************************/
					// 获取总数据量
					
					$row = mysql_num_rows($result);
					$amount = $row;
					
					// 记算总共有多少页
					if( $amount ){
					   if( $amount < $PageSize ){ $page_count = 1; }			   //如果总数据量小于$PageSize，那么只有一页
					   if( $amount % $PageSize ){								  //取总数据量除以每页数的余数
						   $page_count = (int)($amount / $PageSize) + 1;		   //如果有余数，则页数等于总数据量除以每页数的结果取整再加一
					   }else{
						   $page_count = $amount / $PageSize;					  //如果没有余数，则页数等于总数据量除以每页数的结果
					   }
					}
					else{
					   $page_count = 0;
					}
					
					// 翻页链接
					$page_string = '';
						
					if( $page == 1 ){
					   $page_string .= '首页 | 上一页 |';
					}
					else{
					   $page_string .= '<a href=?gen='.$gen.'&page=1><u><font color=\"#0000FF\">首页</font></u></a> | <a href=?gen='.$gen.'&page='.($page-1).'><u><font color=\"#0000FF\">上一页</font></u></a> | ';
					}
					if( ($page == $page_count) || ($page_count == 0) ){
					   $page_string .= ' 下一页 | 尾页';
					}
					else{
					   $page_string .= ' <a href=?gen='.$gen.'&page='.($page+1).'><u><font color=\"#0000FF\">下一页</font></u></a> | <a href=?gen='.$gen.'&page='.$page_count.'><u><font color=\"#0000FF\">尾页</font></u></a>';
					}
						 $page_string .= " &nbsp;&nbsp;页次：<font color='#FF0000'><b>".$page."</b></font>/<b>".$page_count."</b>页";
						 $page_string .= " &nbsp;&nbsp;<b>".$PageSize."</b>个每页";
						 
					$ls_msg2="".$showstr."管理 >> 所有".$showstr."图片";
					
					?>
					
				
				<table border="0" width="90%" align="center">
						<tr>
							<td><?php echo $ls_msg2; ?></td>
							<td align="right">共 <b><?php echo $row; ?></b> 个</td>
						</tr>
					 </table>
					 <table width="90%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#FFFFFF">
						<tr bgcolor="#B9DAFF">
							<td align="center" height="25" width="32">选中</td>
							<td align="center" width="133"><?=$showstr?>图片</td>
							<?php file_exists("widget/generalpics/head.php")?include "widget/generalpics/head.php" :"" ?>
							<td align="center" width="393">名称</td>
							<td align="center" colspan="2">排序</td>
							<td align="center" colspan="2">操作</td>
							<td align="center" width="32">允许</td>
						</tr>
						<?php
					$news_sql="select * from ".$generalTable." order by ".$orderstr." limit ". ($page-1)*$PageSize .",".$PageSize." ";	
					$news_query=$opendb->query($news_sql);
					$news_nums=mysql_num_rows($news_query); 
					$i=1;
					while($news_rows=mysql_fetch_assoc($news_query))
					{
					?>
					<tr bgcolor='#f4f4f4'
					onMouseOver=
					 	this.style.backgroundColor='#CCFFCC' 
					onMouseOut=
					 	this.style.backgroundColor='#f4f4f4' 
					>
						<td align='center'>
							<input name='select_id<?=$i?>' type='checkbox' onclick="unselectall()" id="select_id<?=$i?>" value='<?=$news_rows['ID']?>'>
						</td>
						<td style='padding-left:10px;'>
							<img src="../<?=$folder2?>/<?=$news_rows[$generalpicsPic]."?i=".rand()?>" width="<?=$SmallPicW/2?>" height="<?=$SmallPicH/2?>" border="1"></td>
							<?php file_exists("widget/generalpics/list.php")?include "widget/generalpics/list.php" :"" ?>
						<td style='padding-left:10px;'>
						<?=htmlspecialchars_decode($news_rows[$generalpicsTitle])?>
						</td>
						<td align='center'> 
                    <?
					 if($i!=1)
					{
					?>
							<a href='?gen=<?=$gen?>&page=<?=$page?>&id=<?=$news_rows['ID']?>&nowNum=<?=$news_rows['Num']?>&ls=up' title='向上移动'><img src='images/up.gif' border='0'></a>				
                       <? } ?>
					  </td>
						<td align='center'> 
                    <?
					 if($i!=$news_nums)
					{ ?>
							 <a href='?gen=<?=$gen?>&page=<?=$page?>&id=<?=$news_rows['ID']?>&nowNum=<?=$news_rows['Num']?>&ls=down' title='向下移动'><img src='images/down.gif' border='0'></a>	
                     <?	} ?>
					  </td>
						<td align='center'> 
						<a href='addmodigenpics.php?gen=<?=$gen?>&page=<?=$page?>&id=<?=$news_rows['ID']?>&ls=update' title='编辑'><img src='images/b_edit.png' border='0'></a>
					  </td>
					<td align='center'> 
					<a href='?gen=<?=$gen?>&page=<?=$page?>&id=<?=$news_rows['ID']?>&ls=del' onclick='return ConfirmDelSubCate();' title='删除'><img src='images/b_drop.png' border='0'></a>
					  </td>
						<td align='center'>
											  
					 <?  if($news_rows['enable']==1)
						{?>
							<a href='?gen=<?=$gen?>&page=<?=$page?>&id=<?=$news_rows['ID']?>&ls=unenable' title='显示'><img src='images/enable.gif' border='0'></a>
						<? }
					  if($news_rows['enable']==0)
					  	{ ?>
							<a href='?gen=<?=$gen?>&page=<?=$page?>&id=<?=$news_rows['ID']?>&ls=enable' title='不显示'><img src='images/unenable.gif' border='0'></a>
						<? } ?>
												
						</td>
					</tr>
					
					<? $i++; 
						 }?>
						<tr bgcolor="#B9DAFF">
					<td colspan='<?=$gencolspan!=""?$gencolspan:8?>' align='center' height='25'>
					<?=$page_string?>
					</td>
					</tr>
						

					</table>
					<br/>
					<table width="90%" border="0" align="center" cellpadding="3" cellspacing="1" >
					<tr >
							<td style="padding-left:6px;" colspan="7">
								<input name="chkAll" type="checkbox" id="chkAll" onclick=CheckAll(this.form) value="checkbox">
							    选中所有<?=$showstr?>
						  <input name="submit" type='submit' value='删除选定的<?=$showstr?>'>
						  <input name="Action" type="hidden" id="Action" value="<?=$gen?>Del" /></td>
							<td width="16%" align="right" style="padding-left:6px;"><span style="border-bottom:1px solid #FFF;"><img src="images/shao.gif" alt="" />&nbsp;<a href="addgeneralpics.php?page=<?=$page?>&gen=<?=$gen?>"><u>添加</u></a></span></td>
						</tr>
					</table>
					<p><br />
                  </p>
				  </form>
                  <?
                  	$menu_sql2="select * from ls_menu where argument='".$gen."' ";
					$menu_query2=$opendb->query($menu_sql2);
					$menu_rows2_num=mysql_num_rows($menu_query2);
					if($menu_rows2_num==1)
					{
						$menu_rows2=mysql_fetch_assoc($menu_query2);
						$description=$menu_rows2['description'];  
				  ?>
					<form id="form1" name="form1" method="post" action="?ls=description&gen=<?=$gen?>">
					  <table width="90%" border="0" align="center" cellpadding="3" cellspacing="0" >
					    <tr >
					      <td align="left" bgcolor="#f4f4f4" style="padding-left:50px;"><span style="padding-left:50px;">
					        <strong>
				          <br />
				          <?=$showstr?>
				          介绍：</strong></span></td>
				        </tr>
					    <tr >
					      <td bgcolor="#f4f4f4" style="padding-left:50px;"><font color="#ffffff"><strong>
					        
					        </strong></font>
                            <textarea name="description" style="width:100%;height:400px;visibility:hidden;"><?php echo htmlspecialchars($description); ?></textarea>
					        <!-- <textarea name="modiGeneralpicsText" style="width:400px; height:80px;" ><?php echo $modiGeneralpicsText;?></textarea></td> --></td>
				        </tr>
					    <tr >
					      <td align="center" bgcolor="#f4f4f4" style="padding-left:50px;"><label>
					        <input type="submit" name="button" id="button" value="提交" />
				          </label>
				          <label>
				            <input type="reset" name="button2" id="button2" value="重置" />
				            <br />
				            <br />
				          </label></td>
				        </tr>
				      </table>
                      
	            </form>
                <? 	}  //if($menu_rows2_num==1) ?>
                
                </td>
			</tr>
	</table>
 </body>
</html>